Main Page Class Hierarchy Compound List File List Compound Members File Members

# Asample Class Reference

`#include <sample.h>`

Inheritance diagram for Asample::

List of all members.

## Public Methods
ELIBOBJ EDLL | Asample (char *name, class AeffectBack *eb, int type, int x, int y)
virtual EDLL | ~Asample ()
virtual EDLL bool | connected (class Aconnect *connect)
EDLL void | addBuffer (sword *buffer, int size)
EDLL int | skip (int relative)
EDLL int | avaible ()
EDLL int | getBuffer (sword *buffer, int bufferSize, int dtime=-1)
EDLL int | getBuffer (sword *sample, sword *bass, sword *medium, sword *treeble, int bufferSize, int dtime=-1)
void | calcFrequency (int offdep, int offend)
## Public Attributes
float | vmaster
float | vbass
float | vmedium
float | vtreeble
sword * | sample
sword * | bass
sword * | medium
sword * | treeble
int | size
int | offset
int | time
int | interleaveSize

## Constructor & Destructor Documentation

ELIBOBJ EDLL Asample::Asample | ( | char * | name,
|  | class AeffectBack * | eb,
|  | int | type,
|  | int | x,
|  | int | y
| ) |

virtual EDLL Asample::~Asample | ( |  | ) | `[virtual]`

## Member Function Documentation

EDLL void Asample::addBuffer | ( | sword * | buffer,
|  | int | size
| ) |

EDLL int Asample::avaible | ( |  | ) |

void Asample::calcFrequency | ( | int | offdep,
|  | int | offend
| ) |

virtual EDLL bool Asample::connected | ( | class Aconnect * | connect | ) | `[virtual]`

| Reimplemented from Apin.

EDLL int Asample::getBuffer | ( | sword * | sample,
|  | sword * | bass,
|  | sword * | medium,
|  | sword * | treeble,
|  | int | bufferSize,
|  | int | dtime = -1
| ) |

EDLL int Asample::getBuffer | ( | sword * | buffer,
|  | int | bufferSize,
|  | int | dtime = -1
| ) |

EDLL int Asample::skip | ( | int | relative | ) |

## Member Data Documentation

sword* Asample::bass

int Asample::interleaveSize

sword* Asample::medium

int Asample::offset

sword* Asample::sample

int Asample::size

int Asample::time

sword* Asample::treeble

float Asample::vbass

float Asample::vmaster

float Asample::vmedium

float Asample::vtreeble

The documentation for this class was generated from the following file:

- sample.h